﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace AddSeries
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            RadialGaugeScale rgs = new RadialGaugeScale();
            rgs.StartValue = 0;
            rgs.EndValue = 100;
            RadialGauge.Scales.Add(rgs);

            RadialGaugeNeedle rgn = new RadialGaugeNeedle() { Value = 50, AllowDrag = true };
            rgs.Needles.Add(rgn);

            RadialGaugeLabelGroup rglg = new RadialGaugeLabelGroup() { Interval = 10 };

            rgs.LabelGroups.Add(rglg);

         
            btn2.IsEnabled = true;
            btn3.IsEnabled = true;


          
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            RadialGaugeScale rgs = new RadialGaugeScale();
            Random r = new Random();
            rgs.StartValue = 20;
            rgs.EndValue = 80;
            RadialGauge.Scales.Add(rgs);

           
            RadialGaugeNeedle rgn = new RadialGaugeNeedle() { Value = 30 , AllowDrag = true };
            rgs.Needles.Add(rgn);

            RadialGaugeLabelGroup rglg = new RadialGaugeLabelGroup() { Interval = 5, Extent=.5 };

            rgs.LabelGroups.Add(rglg);

          


        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            Random r = new Random();
            RadialGaugeNeedle rgn = new RadialGaugeNeedle() { Value = r.Next(100), AllowDrag = true };
            RadialGauge.Scales[0].Needles.Add(rgn);

        }
    }
}
